
************
* PCUSMENU *
************
* Het personeel van RD kan zijn eigen programmatuur koppelen aan dit menu.
* Hetzij de programma's, hetzij de submenunamen kunnen worden ingevuld
* in het gebruikersmenu. De naam van het programma moet bij het 
* CASE statement worden ingevuld.
* 
STORE "-" TO choice
DO WHILE choice # "E"
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "----------------------- GEBRUIKERSMENU ---------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   IF cur:prod = "*"
      @ 4,16 SAY "GEEN"
   ELSE
      @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   ENDIF
   @  7,11 SAY "U KUNT NU KIEZEN VOOR PROGRAMMA'S OF FUNKTIES DIE DOOR HET"
   @  8,11 SAY "PERSONEEL VAN THE READER'S DIGEST N.V. ZIJN GEPROGRAMMEERD."
   @ 10,25 SAY "1- GEBRUIKERSPROGRAMMA 1"
   @ 11,25 SAY "2- GEBRUIKERSPROGRAMMA 2"
   @ 12,25 SAY "3- GEBRUIKERSPROGRAMMA 3"
   @ 13,25 SAY "4- GEBRUIKERSPROGRAMMA 4"
   @ 14,25 SAY "5- GEBRUIKERSPROGRAMMA 5"
   @ 15,25 SAY "6- GEBRUIKERSPROGRAMMA 6"
   @ 16,25 SAY "7- GEBRUIKERSPROGRAMMA 7"
   @ 17,25 SAY "8- GEBRUIKERSPROGRAMMA 8"
   @ 18,25 SAY "9- GEBRUIKERSPROGRAMMA 9"
   @ 19,25 SAY "E- EINDE"
   @ 21,28 SAY "UW KEUZE SVP :.:"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   DO WHILE .NOT. (choice $ "123456789E")
      STORE "." TO choice
      @ 21,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
      IF (choice $ "123456789") .AND. (cur:prod = "*")
         STORE "." TO akk
         @ 22,0 SAY "GEEN PRODUKTIENUMMER GESELECTEERD, DRUK RETURN " GET akk
         READ
         CLEAR GETS
         @ 22,0 SAY "                                                  "
         STORE "-" TO choice
      ENDIF
   ENDDO
   IF choice # "E"
      DO CASE 
         CASE choice = "1"
         *    DO pcuspr1 
              STORE "-" TO choice
         CASE choice = "2"
         *    DO pcuspr2 
              STORE "-" TO choice
         CASE choice = "3"
         *    DO pcuspr3 
              STORE "-"TO choice
         CASE choice = "4"
         *    DO pcuspr4 
              STORE "-" TO choice
         CASE choice = "5"
         *    DO pcuspr5
              STORE "-" TO choice
         CASE choice = "6"
         *    DO pcuspr6
              STORE "-" TO choice
         CASE choice = "7"
         *    DO pcuspr7
              STORE "-" TO choice
         CASE choice = "8"
         *    DO pcuspr8
              STORE "-" TO choice
         CASE choice = "9"
         *    DO pcuspr9
              STORE "-" TO choice
      ENDCASE
   ENDIF
ENDDO
RETURN
*
* EINDE PROGRAMMA
*
